﻿using System;
 
 
using System.Text;
using System.Collections;

namespace STMBench7.Compatability
{
    /**
     *Java's counter-part to Enumerators 
     */
    public class Iterator
    {
        private IEnumerator en;
        private Object cur, next;
        private bool hasMore;

        public Iterator(IEnumerator en)
        {
            this.en = en;

            hasMore = en.MoveNext();
            cur = en.Current;
            hasMore = en.MoveNext();
            next = en.Current;
        }

        public bool HasNext()
        {
            return hasMore;
        }
        public Object Next()
        {
            Object toReturn = cur;

            cur = next;
            hasMore = en.MoveNext();
            if(hasMore) next = en.Current;

            return toReturn;
        }
    }
}
