﻿using System;
 
 
using System.Text;

using STMBench7.Annotations;

namespace STMBench7.Core
{
    /**
 * A class from which most parts of the main benchmark data structure descend.
 * For a default implementation, see stmbench7.impl.core.DesignObjImpl.
 */
    public interface DesignObj
    {
        
	[ReadOnly]
	int GetId();

	[ReadOnly]
	int GetBuildDate();

	[ReadOnly]
	String GetType();

	[Update]
	void UpdateBuildDate();

	[ReadOnly]
	void NullOperation();
    }
}
