﻿using System;
 
 
using System.Text;
using STMBench7.Backend;
using STMBench7.Compatability;
using System.Collections;

namespace STMBench7.Impl.Backend
{
	/**
	 * A simple implementation of a large-size set
	 * (used by CompositePart objects).
	 * This default implementation is NOT thread-safe.
	 */
	public class LargeSetImpl : /*TreeSet<E>,*/ HashtableSet, LargeSet
    {
        public LargeSetImpl()
            : base()
        {
		}

        public LargeSetImpl(LargeSetImpl source)
           // : base(source)
        {
            foreach (Object e in source) Add(e);
		}

        public int Size()
        {
            return Count;
        }

        public IEnumerator GetEnumerator()
        {
            return base.GetEnumerator();
        }
    }

}
