﻿using System;
 
 
using System.Text;

using STMBench7.Impl.Core;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Locking
{
	/**
	 * Implementation of the DesignObjFactory used in the medium-grained
	 * locking synchronization method.
	 */
	public class MGLockingDesignObjFactory : DesignObjFactoryImpl {

		public MGLockingDesignObjFactory() : base() {
		}

		public override ComplexAssembly CreateComplexAssembly(int id, String type, int buildDate, 
				Module module, ComplexAssembly superAssembly) {
			return new MGLockingComplexAssemblyImpl(id, type, buildDate, module, superAssembly);
		}
	}

}
