﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Operations
{
	/**
	 * Traversal T2, variant (b) (see the specification).
	 * Simple update, long.
	 */
	public class Traversal2b : Traversal2a {

        public Traversal2b(Setup oo7setup)
            : base(oo7setup)
        {
		
		}

        [BartokSTMExtensions.NoLog]
        protected override int PerformOperationInAtomicPart(AtomicPart part, HashtableSet/*<AtomicPart>*/ setOfVisitedPartIds)
        {
			part.SwapXY();
			return 1;
		}
		
        public override OperationId GetOperationId()
        {
	    	return OperationId.T2b;
	    }
	}
		

}
