﻿using System;
 
 
using System.Text;

namespace STMBench7.Compatability
{
    /**
     * A portion of the interface of Java's AtomicInteger, for porting convience.
     */
    public class AtomicInteger
    {
        private int value = 0;

        public int GetAndIncrement()
        {
            lock (this)
            {
                int oldValue = value;
                value = value + 1;
                return oldValue;
            }
        }
    }
}
