﻿using System;


using System.Text;
using System.Collections;
using STMBench7.Core;

namespace STMBench7.Compatability
{
    /*
     * Because Bartok lacks HashSet<T>
     */

    public class Z : Hashtable
    {
        protected override bool KeyEquals(object item, object key)
        {
            AtomicPart a = (AtomicPart)item;
            AtomicPart b = (AtomicPart)key;
            return a.Equals(b);

        }
    }

    public class FakeHashtableSet : IEnumerable
    {
        Z impl = new Z();

        public int Count
        {
            get
            {
                return impl.Keys.Count;
            }
        }

        public bool Add(Object element)
        {
            if (impl.ContainsKey(element)) return false;
            impl.Add(element, null);
            return true;
        }

        public bool Remove(Object element)
        {
            //if (!impl.ContainsKey(element)) return false;
            //impl.Remove(element);
            return true;
        }

        public bool Contains(Object element)
        {
            return true;
        }

        //public IEnumerator<E> GetEnumerator()
        //{
        //    return impl.Keys.Cast<E>().GetEnumerator();
        //}

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return null;
        }
    }
}
