﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using STMBench7.JavaCompatability;

namespace STMBench7
{
	static class Extensions
	{
        public static Iterator<E> Iterator<E>(this IEnumerable<E> e)
        {
            return new Iterator<E>(e.GetEnumerator());
        }

        public static E Poll<E>(this LinkedList<E> ll)
        {
            E e = ll.First.Value;
            ll.RemoveFirst();
            return e;
        }

        public static bool Offer<E>(this LinkedList<E> ll, E e)
        {
            ll.AddLast(e);
            return true;
        }
	}
}
