﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Operations
{
	/**
	 * Traversal T3, variant (b) (see the specification).
	 * Simple update, update on index, long.
	 */
	public class Traversal3b : Traversal3a {

        public Traversal3b(Setup oo7setup)
            : base(oo7setup)
        {
		}

        [BartokSTMExtensions.NoLog]
        protected override int PerformOperationInAtomicPart(AtomicPart part, HashtableSet/*<AtomicPart>*/ setOfVisitedPartIds)
        {
            UpdateBuildDate(part);
			return 1;
	    }
		
        public override OperationId GetOperationId()
        {
	    	return OperationId.T3b;
	    }
	}
		

}
